ATMEL: Application configuration

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# Application configuration

## Defines

#define | USE_ADC
| Enable (define) or not (undefine) the ADC usage.
#define | STK525 1
| To include proper target hardware definitions, select target board (USBKEY).
#define | TARGET_BOARD STK525
#define | FOSC 8000
| CPU core frequency in kHz.
#define | USE_TIMER16 TIMER16_1
#define | HID_GENERIC_DEMO_FULL DISABLE
| Define it to generate a firmware compatible with HID Generic Demo FULL.
#define | HOST_SYNC_MODE ENABLE
#define | BAUDRATE 57600
#define | USE_UART2
#define | UART_U2
#define | uart_putchar putchar
#define | r_uart_ptchar int
#define | p_uart_ptchar int
#define | ADC_PRESCALER 32
| ADC Prescaler value.
#define | ADC_RIGHT_ADJUST_RESULT 1
| Right adjust.
#define | ADC_INTERNAL_VREF 2
| AVCC As reference voltage (See adc_drv.h).
#define | SBC_VENDOR_ID {'A','T','M','E','L',' ',' ',' '}
#define | SBC_PRODUCT_ID {'A','T','9','0','U','S','B','1','2','8',' ','M',' ','S',' ',' '}
#define | SBC_REVISION_ID {'0','.','0','0'}
#define | NB_IDLE_POLLING_SOF 2
| --------- Device Mouse configuration -------------------------------------
#define | MOUSE_SPEED 3
#define | MAX_FILE_LENGHT 30
#define | USHELL_DFU ENABLE
#define | USHELL_USB ENABLE
#define | USHELL_HID ENABLE
#define | USHELL_HISTORY 5
#define | USHELL_SIZE_CMD_LINE 30
#define | USHELL_NB_LINE 20
#define | USHELL_SIZE_OF_EXT_BUFFER_TO_PERF_CMD 4
#define | TRACE DISABLE
#define | LOG_STR_CODE(s) ushell_trace_msg(s)

## Functions

void | ushell_trace_msg (U8 code *str)

## Define Documentation

#define USE_ADC

Enable (define) or not (undefine) the ADC usage.

Definition at line 65 of file config.h.

#define STK525 1

To include proper target hardware definitions, select target board (USBKEY).

Definition at line 68 of file config.h.

#define TARGET_BOARD STK525

Definition at line 69 of file config.h.

#define FOSC 8000

CPU core frequency in kHz.

Definition at line 73 of file config.h.

#define USE_TIMER16 TIMER16_1

Definition at line 75 of file config.h.

#define HID_GENERIC_DEMO_FULL DISABLE

Define it to generate a firmware compatible with HID Generic Demo FULL.

Definition at line 80 of file config.h.

#define HOST_SYNC_MODE ENABLE

Definition at line 82 of file config.h.

#define BAUDRATE 57600

Definition at line 85 of file config.h.

Referenced by uart_init().

#define USE_UART2

Definition at line 86 of file config.h.

#define UART_U2

Definition at line 87 of file config.h.

#define uart_putchar putchar

Definition at line 90 of file config.h.

#define r_uart_ptchar int

Definition at line 93 of file config.h.

#define p_uart_ptchar int

Definition at line 94 of file config.h.

#define ADC_PRESCALER 32

ADC Prescaler value.

Definition at line 100 of file config.h.

#define ADC_RIGHT_ADJUST_RESULT 1

Right adjust.

Definition at line 102 of file config.h.

#define ADC_INTERNAL_VREF 2

AVCC As reference voltage (See adc_drv.h).

Definition at line 104 of file config.h.

#define SBC_VENDOR_ID {'A','T','M','E','L',' ',' ',' '}

Definition at line 106 of file config.h.

#define SBC_PRODUCT_ID {'A','T','9','0','U','S','B','1','2','8',' ','M',' ','S',' ',' '}

Definition at line 107 of file config.h.

#define SBC_REVISION_ID {'0','.','0','0'}

Definition at line 108 of file config.h.

#define NB_IDLE_POLLING_SOF 2

--------- Device Mouse configuration -------------------------------------

Definition at line 111 of file config.h.

Referenced by sof_action().

#define MOUSE_SPEED 3

Definition at line 112 of file config.h.

#define MAX_FILE_LENGHT 30

Definition at line 115 of file config.h.

Referenced by ushell_cmd_copy(), ushell_cmd_ls(), and ushell_path_valid_syntac().

#define USHELL_DFU ENABLE

Definition at line 119 of file config.h.

#define USHELL_USB ENABLE

Definition at line 120 of file config.h.

#define USHELL_HID ENABLE

Definition at line 121 of file config.h.

#define USHELL_HISTORY 5

Definition at line 122 of file config.h.

Referenced by ushell_cmd_decode(), ushell_history_down(), ushell_history_up(), and ushell_task_init().

#define USHELL_SIZE_CMD_LINE 30

Definition at line 123 of file config.h.

Referenced by ushell_cmd_ls(), ushell_cmd_scan(), and ushell_cmd_sync().

#define USHELL_NB_LINE 20

Definition at line 124 of file config.h.

Referenced by ushell_cmd_cat(), and ushell_cmd_ls().

#define USHELL_SIZE_OF_EXT_BUFFER_TO_PERF_CMD 4

Definition at line 125 of file config.h.

Referenced by ushell_cmd_perform_extaccess().

#define TRACE DISABLE

Definition at line 127 of file config.h.

#define LOG_STR_CODE | ( | s |  | ) | ushell_trace_msg(s)

Definition at line 131 of file config.h.

Referenced by host_dfu_task(), host_hid_task(), host_mem_install(), host_mouse_task(), usb_general_interrupt(), and usb_host_task().

## Function Documentation

void ushell_trace_msg | ( | U8 code * | str | ) |